package com.bpcl.lpg.core.service;

import com.bpcl.lpg.webservices.request.dto.LpgOperatorWhitelistCodeWsDTO;
import java.text.ParseException;
import com.bpcl.lpg.core.model.LPGDistributorStaffModel;
import com.bpcl.lpg.facades.data.LoginRequestData;
import com.bpcl.lpg.facades.ekyc.data.OperatorResponseData;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.bpcl.lpg.facades.ekyc.data.BpclEkycStatusResponseData;
import com.bpcl.lpg.webservices.request.dto.BpclEkycStatusRequestWsDTO;
import com.bpcl.lpg.core.model.BpclEkycTransactionModel;
import com.bpcl.lpg.facades.ekyc.data.BpclEkycTransactionResponseData;
import com.bpcl.lpg.facades.ekyc.data.BpclEkycTransactionRequestDetails;
import com.bpcl.lpg.core.model.BpclEkycConsentsModel;
import java.util.List;

public interface BpclEkycService
{
    List<BpclEkycConsentsModel> getAllBpclEkycConsents(final boolean p0);
    
    boolean isOTPAuthSuccess(final String p0);
    
    String generateJwtToken(final String p0) throws Exception;
    
    BpclEkycTransactionResponseData getBpclEkycTransaction(final BpclEkycTransactionRequestDetails p0) throws Exception;
    
    BpclEkycTransactionModel getEkycTrxnByTrxnId(final String p0);
    
    BpclEkycStatusResponseData updateEKycStatus(final BpclEkycStatusRequestWsDTO p0) throws JsonProcessingException;
    
    OperatorResponseData getOperatorDetailsFromLpg(final String p0) throws JsonProcessingException;
    
    boolean doesOperatorStaffExist(final String p0);
    
    void createOperator(final OperatorResponseData p0, final LoginRequestData p1, final Boolean p2, final LPGDistributorStaffModel p3) throws ParseException;
    
    LPGDistributorStaffModel getBpclOperatorByUid(final String p0);
    
    String generateWhitelistCode(final LpgOperatorWhitelistCodeWsDTO p0);
}
